#ifndef TERM_COLOUR_H
#define TERM_COLOUR_H

#include "platform.h"

// clang-format off
#if defined(WAPP_PLATFORM_WINDOWS)
  #define TERM_COLOUR_CLEAR ""
  #define TERM_COLOUR_BOLD ""
  #define TERM_COLOUR_FG_BLACK ""
  #define TERM_COLOUR_FG_RED ""
  #define TERM_COLOUR_FG_GREEN ""
  #define TERM_COLOUR_FG_YELLOW ""
  #define TERM_COLOUR_FG_BLUE ""
  #define TERM_COLOUR_FG_MAGENTA ""
  #define TERM_COLOUR_FG_CYAN ""
  #define TERM_COLOUR_FG_WHITE ""
  #define TERM_COLOUR_FG_BR_BLACK ""
  #define TERM_COLOUR_FG_BR_RED ""
  #define TERM_COLOUR_FG_BR_GREEN ""
  #define TERM_COLOUR_FG_BR_YELLOW ""
  #define TERM_COLOUR_FG_BR_BLUE ""
  #define TERM_COLOUR_FG_BR_MAGENTA ""
  #define TERM_COLOUR_FG_BR_CYAN ""
  #define TERM_COLOUR_FG_BR_WHITE ""
#elif defined(WAPP_PLATFORM_POSIX)
  #define TERM_COLOUR_CLEAR "\033[0m"
  #define TERM_COLOUR_BOLD "\033[1m"
  #define TERM_COLOUR_FG_BLACK "\033[30m"
  #define TERM_COLOUR_FG_RED "\033[31m"
  #define TERM_COLOUR_FG_GREEN "\033[32m"
  #define TERM_COLOUR_FG_YELLOW "\033[33m"
  #define TERM_COLOUR_FG_BLUE "\033[34m"
  #define TERM_COLOUR_FG_MAGENTA "\033[35m"
  #define TERM_COLOUR_FG_CYAN "\033[36m"
  #define TERM_COLOUR_FG_WHITE "\033[37m"
  #define TERM_COLOUR_FG_BR_BLACK "\033[90m"
  #define TERM_COLOUR_FG_BR_RED "\033[91m"
  #define TERM_COLOUR_FG_BR_GREEN "\033[92m"
  #define TERM_COLOUR_FG_BR_YELLOW "\033[93m"
  #define TERM_COLOUR_FG_BR_BLUE "\033[94m"
  #define TERM_COLOUR_FG_BR_MAGENTA "\033[95m"
  #define TERM_COLOUR_FG_BR_CYAN "\033[96m"
  #define TERM_COLOUR_FG_BR_WHITE "\033[97m"
#endif
// clang-format on

#endif // !TERM_COLOUR_H
