#ifndef TESTER_H
#define TESTER_H

#include <stdbool.h>

#ifdef __cplusplus
extern "C" {
#endif // __cplusplus

#define wapp_tester_result(test_passed)                                        \
  ((TestFuncResult){.name = __func__, .passed = test_passed})
#define wapp_tester_run_tests(...) run_tests(__VA_ARGS__, NULL)

typedef struct test_func_result TestFuncResult;
struct test_func_result {
  const char *name;
  bool passed;
};

typedef TestFuncResult(TestFunc)(void);

void run_tests(TestFunc *func1, ...);

#ifdef __cplusplus
}
#endif // __cplusplus

#endif // !TESTER_H
